petsc-3.12.4 2020-02-04
Report Typos and Errors

# AOGetType

Gets the AO type name (as a string) from the AO.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOGetType(AO ao, AOType *type)

Not Collective

### Input Parameter

ao -The vector

### Output Parameter

type -The AO type name

### See Also

AOSetType(), AOCreate()

### Level

intermediate

### Location

src/vec/is/ao/interface/aoreg.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages